curl -X PUT https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Production Key",
"description": "Updated description"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Production Key'
})
}
);
{
"success": true,
"message": "API key updated successfully",
"apiKey": {
"id": "llm_1706123456_abc123def456",
"name": "Updated Production Key",
"description": "Updated description",
"permissions": [],
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "API key not found"
}
APIキー管理
API キーの更新
API キーのメタデータを更新するエンドポイントです。
curl -X PUT https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Production Key",
"description": "Updated description"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Production Key'
})
}
);
{
"success": true,
"message": "API key updated successfully",
"apiKey": {
"id": "llm_1706123456_abc123def456",
"name": "Updated Production Key",
"description": "Updated description",
"permissions": [],
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "API key not found"
}
このページは役に立ちましたか?
⌘I